commit e7792a4a8a8eef5b4689136c1f9eb1b7a5f9180b
Author: Ondrej Holy <oholy@redhat.com>
Date:   2015-10-15

    Update NEWS for 1.26.1.1

M	NEWS
M	configure.ac

commit 44d48ebfc3f322dc73d6a0b7b2bf92bdb3e905ee
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-10-13

    file monitor: Fix invalid read

    Commit 7373acf changed file monitor construction to be really
    synchronous. Unfortunately there is missing g_object_ref for d-bus
    connection and the connection is unrefed after use. Subsequent read
    of the unrefed connection cause crash with following critical:

    (firefox:29844): GLib-GIO-CRITICAL **: g_dbus_connection_is_closed:
    assertion 'G_IS_DBUS_CONNECTION (connection)' failed

    Do not store the connection, because it isn't neccesary with the
    synchronous construction.

    https://bugzilla.gnome.org/show_bug.cgi?id=756153

M	client/gdaemonfilemonitor.c

commit fe5f4c13150d127cf445e3b5a84d40a6e5c8bcd0
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	2015-10-14

    Updated Basque language

M	po/eu.po

commit 71dd3bbedfbbae98f7d53617e61fe0ef4f6be8a7
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-10-12

    Post release version bump

M	configure.ac

commit d4af5129de1554b3911b1d42497bb085005e887e
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-10-12

    Update NEWS for 1.26.1 release

M	NEWS

commit ff92ef3aa4b09a648bd38152cc61ddfb99f41895
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-10-12

    test: Fix d-bus session services names

    Commit 957fff5 modified d-bus session services names, but the change
    was incomplete and test suite is broken conseqently. All tests
    fail with:
    Error mounting location: volume doesn't implement mount

    https://bugzilla.gnome.org/show_bug.cgi?id=755760

M	test/Makefile.am

commit 77805a9871fcf53e99ccece6509faea77fcf93b4
Author: Tristan Van Berkom <tristan.vanberkom@codethink.co.uk>
Date:	2015-10-06

    Avoid crash when no monitor implementations exist.

    The GVariantBuilder is unable to create any GVariant for
    an untyped array - while an empty vector is a valid variant,
    it is not valid for an untyped array.

    Passing the resulting null to gvfs_dbus_daemon_complete_cancel()
    causes gvfs to abort with a g_error().

    https://bugzilla.gnome.org/show_bug.cgi?id=756105

M	daemon/gvfsdaemon.c

commit eef594d24918d28ad5f0f736825a333df955c6c4
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-09-30

    client: Use g_warning if proxy creation failed

    Currently g_errprint is used and thus a message doesn't end up in
    a logs.
    Use g_warning to log the message and also replace g_return_if_fail,
    because proxy creation failure isn't programmer error.

    https://bugzilla.gnome.org/show_bug.cgi?id=755805

M	client/gdaemonvfs.c

commit b75a1896e740b3486a01961803fc304e0d3b3efe
Author: Debarshi Ray <debarshir@gnome.org>
Date:	2015-09-30

    proxy volume monitor: Guard access to the internal caches

    Accesses to the drives, volumes and mounts hash tables should be
    guarded by the proxy_vm mutex.

    https://bugzilla.gnome.org/show_bug.cgi?id=755805

M	monitor/proxy/gproxyvolumemonitor.c

commit dc7040d7f8b81658817b0a633092f85a4f4963fd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2015-09-29

    Add a corresponding systemd user service for every D-Bus session
    service

    When using "systemd --user" in conjunction with "dbus-daemon --session
    --systemd-activation", this ensures that each daemon is correctly
    placed
    in its own cgroup, instead of being treated as part of dbus.service.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=755760

M	daemon/Makefile.am
A	daemon/gvfs-daemon.service.in
M	daemon/org.gtk.vfs.Daemon.service.in
M	metadata/Makefile.am
A	metadata/gvfs-metadata.service.in
M	metadata/org.gtk.vfs.Metadata.service.in
M	monitor/afc/Makefile.am
A	monitor/afc/gvfs-afc-volume-monitor.service.in
M	monitor/afc/org.gtk.vfs.AfcVolumeMonitor.service.in
M	monitor/gdu/Makefile.am
A	monitor/gdu/gvfs-gdu-volume-monitor.service.in
M	monitor/gdu/org.gtk.vfs.GduVolumeMonitor.service.in
M	monitor/goa/Makefile.am
A	monitor/goa/gvfs-goa-volume-monitor.service.in
M	monitor/goa/org.gtk.vfs.GoaVolumeMonitor.service.in
M	monitor/gphoto2/Makefile.am
A	monitor/gphoto2/gvfs-gphoto2-volume-monitor.service.in
M	monitor/gphoto2/org.gtk.vfs.GPhoto2VolumeMonitor.service.in
M	monitor/hal/Makefile.am
A	monitor/hal/gvfs-hal-volume-monitor.service.in
M	monitor/hal/org.gtk.vfs.HalVolumeMonitor.service.in
M	monitor/mtp/Makefile.am
A	monitor/mtp/gvfs-mtp-volume-monitor.service.in
M	monitor/mtp/org.gtk.vfs.MTPVolumeMonitor.service.in
M	monitor/udisks2/Makefile.am
A	monitor/udisks2/gvfs-udisks2-volume-monitor.service.in
M	monitor/udisks2/org.gtk.vfs.UDisks2VolumeMonitor.service.in

commit 957fff5be2b3cb2a3356955f5c51c94bcd256fed
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:	2015-09-22

    Use conventional naming for D-Bus session services

    This naming is mandatory for the system bus, but is also recommended
    for the session bus.

    The D-Bus maintainers recommend that all activatable session services'
    service files are named according to the bus name, so that any
    conflict
    is resolved in a deterministic way. If the services are in different
    directories (precedence levels) the result is the same as it is now:
    the higher precedence "wins". If the services are in the same
    directory, either one overwrites the other and consistently "wins",
    or a packaging system like dpkg prevents co-installation.

    If the service files were named differently, it would be possible
    to have two implementations for the same name. dbus-daemon resolves
    this by choosing one arbitrarily, not necessarily the same one every
    time. systemd's kdbus support is more strict (or less concerned with
    backwards compatibility), and treats this situation as an error.

    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=755760

M	daemon/Makefile.am
R100	daemon/gvfs-daemon.service.in
daemon/org.gtk.vfs.Daemon.service.in
M	metadata/Makefile.am
R100	metadata/gvfs-metadata.service.in
metadata/org.gtk.vfs.Metadata.service.in

commit 7373acf9b15f40f1c01bd2a325b380ba9bc17d19
Author: Alexander Larsson <alexl@redhat.com>
Date:	2015-09-30

    file monitor: Construct synchronously

    g_file_monitor_file() is a sync call anyway, so doing some sync i/o
    in the constructor doesn't make a difference, and doing so avoids
    races where you would not get change events for operations you do.

    We don't actually need to wait for the subscribe event, and proxy
    construction in this case does not do any i/o, so we're really only
    doing sync i/o to look up the connection, and it should be cached from
    the earlier call in g_daemon_file_monitor_file(), so in practice
    this should make little difference.

    https://bugzilla.gnome.org/show_bug.cgi?id=749317

M	client/gdaemonfilemonitor.c

commit 3a70ae6f9f9ffc48e1e1b9337e57760d2e10e7d6
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-09-29

    google: Report progress when copying and moving

    Progress isn't reported currently. However it is guaranteed that
    the progress callback will be called at least after all data has
    been transferred according the GIO documentation. Nautilus shows
    some weird progress info when moving and copying consequently. Emit
    progress callback with total size to fix this issue.

    https://bugzilla.gnome.org/show_bug.cgi?id=755775

M	daemon/gvfsbackendgoogle.c

commit eefdc161bc016d9f5f8a5122e7c9eb75769078ed
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-09-20

    ftp: Sanitize absolute symlink paths when resolving

    The existing code sanitizes relative symlinks but not absolute
    symlinks
    when resolving them. But this can cause issues when looking up the
    resolved path (e.g. if it has a trailing slash, the correct
    information
    will not be returned because it will not get the parent directory
    correctly).

    To fix this, sanitize both absolute and relative paths.

    https://bugzilla.gnome.org/show_bug.cgi?id=755303

M	daemon/gvfsftpdircache.c

commit d1a53acf98d152f7e22fcf05ed9e2661b81334aa
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	2015-09-27

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit 2eaaac903fe54a9c111888c7446b9f5f4dfdc36a
Author: Bernd Homuth <dev@hmt.im>
Date:	2015-09-23

    Updated German translation

M	po/de.po

commit 1a4e823966e31f72eedfec536cb150c629e126a7
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-08-26

    Mark files as untrashable for main backends

    Otherwise nautilus will offer the wrong action in its UI.

    https://bugzilla.gnome.org/show_bug.cgi?id=753934

M	daemon/gvfsafpserver.c
M	daemon/gvfsbackendafc.c
M	daemon/gvfsbackendsftp.c
M	daemon/gvfsbackendsmb.c
M	daemon/gvfsftpdircache.c

commit e1a3c297aa38c86b19705a03555d322eaa944ff7
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-09-05

    sftp: Don't call g_vfs_backend_force_unmount multiple times

    If the remote connection(s) are closed (e.g. the remote host is
    rebooted), ensure that g_vfs_backend_force_unmount is only called
    once.

    This avoids a warning like the following:
    forced_unregister_mount_callback
    forced_unregister_mount_callback

    ** (process:12472): WARNING **: Error unregistering mount: Mountpoint
    not registered (g-io-error-quark, 16)

    Additionally, remove some backend member variables.

    https://bugzilla.gnome.org/show_bug.cgi?id=753311

M	daemon/gvfsbackendsftp.c

commit 46487b40479c0a422a2a5061bfa8da138a4dc107
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-08-06

    sftp: Fix crashes when data connection setup failed

    destroy_connection() is called twice when setup of data connection
    failed.
    Consequently g_hash_table_destroy() is called on already destroyed
    hash
    table on finalize. Set conn->expected_replies to NULL in
    destroy_connection()
    to fix the issue.

    There is another crash on force unmount when setup of data connection
    failed.
    fail_jobs() is called on already destroyed connection. Check
    usability of
    the connection before use to avoid the crash.

    Finally move the hast table initialization into the setup_connection,
    because the initialization in g_vfs_backend_sftp_init() is confusing.

    https://bugzilla.gnome.org/show_bug.cgi?id=753311

M	daemon/gvfsbackendsftp.c

commit 766b99b678d547dec69752f5a2df94cb94c54a7e
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-09-11

    job: Unify send_reply debug messages

    Unify send_reply debug messages for all jobs. Always indicate failure
    and include error message. Indicate some other info (i.e. offset,
    size) for some jobs (i.e. seek, read, write).

    https://bugzilla.gnome.org/show_bug.cgi?id=755104

M	daemon/gvfsjobcloseread.c
M	daemon/gvfsjobclosewrite.c
M	daemon/gvfsjobdbus.c
M	daemon/gvfsjobenumerate.c
M	daemon/gvfsjobmount.c
M	daemon/gvfsjobread.c
M	daemon/gvfsjobseekread.c
M	daemon/gvfsjobseekwrite.c
M	daemon/gvfsjobtruncate.c
M	daemon/gvfsjobunmount.c
M	daemon/gvfsjobwrite.c

commit 6f48955f87592aa18cac6a82465643dbdf95a50b
Author: Милош Поповић <gpopac@gmail.com>
Date:	2015-09-22

    Updated Serbian Latin translation

M	po/sr@latin.po

commit 52e9b4aff044f21641e941c7d8cc8eb53f20447f
Author: Милош Поповић <gpopac@gmail.com>
Date:	2015-09-22

    Updated Serbian translation

M	po/sr.po

commit 2b3a441b08f64f586fbfcdae975e84045822f99f
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-09-21

    Post release version bump

M	configure.ac

commit d6ea1ac937e43856e274471d95749a222b99250f
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-09-21

    Update NEWS for 1.26.0 release

M	NEWS

commit 7a1823c17c1e91cce0f94a44097a1d5dce3669ef
Author: Petr Kovar <pkovar@redhat.com>
Date:	2015-09-21

    Update Czech translation

M	po/cs.po

commit d037b5fd56cae878ed7bb5269a40e4bd046551d7
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	2015-09-20

    Updated Danish translation

M	po/da.po

commit 3120eaaa460234e75b45e367cca2ad08a8a999c6
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	2015-09-18

    Updated Latvian translation

M	po/lv.po

commit bb83d4bcfac9df3104a7acfff87710772d96a112
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	2015-09-17

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 97cf106be602eec707842133a4ea12e593968c45
Author: Felipe Braga <fbobraga@gmail.com>
Date:	2015-09-17

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit d6790d93bdb4df8bb54037dac33ed413e5348b45
Author: Stas Solovey <whats_up@tut.by>
Date:	2015-09-17

    Updated Russian translation

M	po/ru.po

commit cc51206194cdffa7327900c611b3aaddf3b49a18
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	2015-09-16

    Updated Turkish translation

M	po/tr.po

commit 909cde16f198bfd7496cf15aec1c627dd7cf8816
Author: Milo Casagrande <milo@ubuntu.com>
Date:	2015-09-15

    Updated Italian translation

M	po/it.po

commit 55b21fdd75b5a340d77c3ea6690bfc2db5678538
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-09-14

    Post release version bump

M	configure.ac

commit f7247064dc67485b8aa5d246a019c31a66631aa9
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-09-14

    Update NEWS for release 1.25.92

M	NEWS

commit 2a58ff7a22a2c652b67b0fad05745ab031e01108
Author: Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
Date:	2015-09-10

    Finnish translation update

M	po/fi.po

commit 4709dac77b0a6995ca84076b1b2834e72fbbf97f
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-09-10

    Update .gitignore

M	daemon/.gitignore

commit 982fb11ad7b62867c2e97ffb0b4466d110421986
Author: Debarshi Ray <debarshir@gnome.org>
Date:	2015-09-09

    google: Fix the error string to respect the freeze and for consistency

    https://bugzilla.gnome.org/show_bug.cgi?id=754791

M	daemon/gvfsbackendgoogle.c

commit c690b5cf9e489f416a8b45eab56f92292013df7c
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-09-09

    Remove unused function to avoid warnings

    Commit 59325df refactored daemon code a bit. Function do_name_acquired
    is no more needed. Remove this function to avoid following warnings:

    daemon-main.c:347:1: warning: ‘do_name_acquired’ defined but
    not used

M	daemon/daemon-main.c

commit b88097b89c24cc802a504b45703bb499fc3c8f75
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2015-09-09

    Updated Slovak translation

M	po/sk.po

commit 7429001e00860db52cb44df7e3317aa16368571e
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-09-09

    Updated POTFILES.in

M	po/POTFILES.in

commit 7d9747ee2b6c621783a6195f38858bea70745b0d
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	2015-09-08

    Updated Slovenian translation

M	po/sl.po

commit 79dc70d75797a96b98cf75d2e4b694bd0059c914
Author: Debarshi Ray <debarshir@gnome.org>
Date:	2015-09-08

    build: Fix wrong grammar and spelling

    https://bugzilla.gnome.org/show_bug.cgi?id=753838

M	configure.ac

commit dfd595ae559bc576dab7c70a39d1c43e0854f344
Author: Debarshi Ray <debarshir@gnome.org>
Date:	2015-08-21

    mtp: Replace a deprecated function

    https://bugzilla.gnome.org/show_bug.cgi?id=754729

M	daemon/gvfsbackendmtp.c

commit bb33ba6e740e9a3d6be6383db80dd8307d0abb14
Author: Debarshi Ray <debarshir@gnome.org>
Date:	2015-09-01

    Add GVfsBackendGoogle

    Based on code written by Thibault Saunier.

    https://bugzilla.gnome.org/show_bug.cgi?id=739008

M	configure.ac
M	daemon/Makefile.am
A	daemon/google.mount.in
A	daemon/gvfsbackendgoogle.c
A	daemon/gvfsbackendgoogle.h

commit dfe40af0333f1d39a313d4b6d5102fe41e87c150
Author: Debarshi Ray <debarshir@gnome.org>
Date:	2014-10-22

    goa: Pick up OAuth2-based accounts with a GoaFiles interface

    The Google Drive backend would be OAuth2-based, so we should include
    such accounts too.

    https://bugzilla.gnome.org/show_bug.cgi?id=739008

M	monitor/goa/goavolume.c

commit b3270de2b3c95817be6539e60bceac21de4484e6
Author: Changwoo Ryu <cwryu@debian.org>
Date:	2015-09-08

    Updated Korean translation

M	po/ko.po

commit c37040b6cf39a516aeb5d9f3e03a44ab1c3e6096
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	2015-09-04

    Updated Kazakh translation

M	po/kk.po

commit 880d166ed9d281930d94ffc96fefcc2c8e932ab8
Author: Jordi Mas <jmas@softcatala.org>
Date:	2015-09-03

    Upload Catalan translation

M	po/ca.po

commit 59325dfbe1f855434f87b7791d11175bfdfb9766
Author: Alexander Larsson <alexl@redhat.com>
Date:	2015-09-03

    Make all gvfs daemons own a name under org.gtk.vfs.*

    This allows you to easily allow access to gvfs from a sandbox.
    Just give it talk access to org.gtk.vfs.* and everything will work.

    This change does three things:
     Change the existing mountpoint dbus names from
       org.gtk.vfs.mountpoint.foo
     to
       org.gtk.vfs.mountpoint_foo

     For other mountpoints, always own:
       org.gtk.vfs.mountpoint_$pid

     Change the dbus name of the volume monitors from
       org.gtk.Private.fooMonitor
     to
       org.gtk.vfs.fooMonitor

M	daemon/Makefile.am
M	daemon/daemon-main.c
M	daemon/http.mount.in
M	daemon/smb-browse.mount.in
M	monitor/afc/Makefile.am
M	monitor/afc/afc.monitor
M	monitor/afc/afcvolumemonitordaemon.c
R060	monitor/afc/org.gtk.Private.AfcVolumeMonitor.service.in
monitor/afc/org.gtk.vfs.AfcVolumeMonitor.service.in
M	monitor/gdu/Makefile.am
M	monitor/gdu/gdu-volume-monitor-daemon.c
M	monitor/gdu/gdu.monitor
R060	monitor/gdu/org.gtk.Private.GduVolumeMonitor.service.in
monitor/gdu/org.gtk.vfs.GduVolumeMonitor.service.in
M	monitor/goa/Makefile.am
M	monitor/goa/goa.monitor
M	monitor/goa/goavolumemonitordaemon.c
R060	monitor/goa/org.gtk.Private.GoaVolumeMonitor.service.in
monitor/goa/org.gtk.vfs.GoaVolumeMonitor.service.in
M	monitor/gphoto2/Makefile.am
M	monitor/gphoto2/gphoto2-volume-monitor-daemon.c
M	monitor/gphoto2/gphoto2.monitor
R059	monitor/gphoto2/org.gtk.Private.GPhoto2VolumeMonitor.service.in
monitor/gphoto2/org.gtk.vfs.GPhoto2VolumeMonitor.service.in
M	monitor/hal/Makefile.am
M	monitor/hal/hal-volume-monitor-daemon.c
M	monitor/hal/hal.monitor
R060	monitor/hal/org.gtk.Private.HalVolumeMonitor.service.in
monitor/hal/org.gtk.vfs.HalVolumeMonitor.service.in
M	monitor/mtp/Makefile.am
M	monitor/mtp/mtp-volume-monitor-daemon.c
M	monitor/mtp/mtp.monitor
R060	monitor/mtp/org.gtk.Private.MTPVolumeMonitor.service.in
monitor/mtp/org.gtk.vfs.MTPVolumeMonitor.service.in
M	monitor/udisks2/Makefile.am
R059	monitor/udisks2/org.gtk.Private.UDisks2VolumeMonitor.service.in
monitor/udisks2/org.gtk.vfs.UDisks2VolumeMonitor.service.in
M	monitor/udisks2/udisks2.monitor
M	monitor/udisks2/udisks2volumemonitordaemon.c
M	test/Makefile.am

commit 7fd91dfb7c48ed31688bcfcdc2dd5ab3f37a7377
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	2015-09-02

    Updated Lithuanian translation

M	po/lt.po

commit f2f199f5f15b8d1dbaf1a1a2ca91f4e6dbdaf234
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-09-01

    Post release version bump

M	configure.ac

commit be1bbed96b4de1e9b11f4d81de3b643059444647
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-09-01

    Update NEWS for 1.25.91 release

M	NEWS

commit 90ca656ccd194a039060398d1e72cbac8c3f1ec7
Author: Balázs Úr <urbalazs@gmail.com>
Date:	2015-08-31

    Updated Hungarian translation

M	po/hu.po

commit fdba53046de6f90daf5fd2394b052dbc75cf6662
Author: Ross Lagerwall <rosslagerwall@gmail.com>
Date:	2015-08-29

    mtp: Fix error handling from a807f12d5663

    After commit a807f12d5663 ("MTP: return ENOTEMPTY if trying to
    delete a
    non-empty directory"), G_IO_ERROR_NOT_EMPTY is returned if a generic
    error occurs when deleting. Fix it by calling fail_job() as the
    rest of
    the code does.

    https://bugzilla.gnome.org/show_bug.cgi?id=753590

M	daemon/gvfsbackendmtp.c

commit 45d047068d18cd01a517450476aa1f8fa0371b7c
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	2015-08-30

    Updated Hebrew translation

M	po/he.po

commit ae1183fe3d37bf2d391c5c0b8e00d1b59a824b05
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-02-27

    afp: Change g_error to g_warning for read errors

    Use g_warning rather than g_error when a read error occurs to prevent
    spurious crash reports since there are many different ways for a read
    from the network to fail.

    [Cherry-picked from gnome-3-14/14369db2a8fc
     Commit message written by Ross Lagerwall.]

    https://bugzilla.gnome.org/show_bug.cgi?id=710490

M	daemon/gvfsafpconnection.c

commit 31ec6a7f0f6b61f558e079acbcc0b1f7e10d3168
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	2015-08-28

    Updated Greek translation

M	po/el.po

commit 6b1682296ce9d26f623b6f1fa1f2eff1d73154d5
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	2015-08-27

    Updated Swedish translation

M	po/sv.po

commit 2a692988d20d25a1735926fa0e5f600d4653cbb8
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	2015-08-26

    Updated Polish translation

M	po/pl.po

commit 27c2373bfe27c21246ee0903ff3b596b212ff1f1
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	2015-08-25

    Updated Chinese (Taiwan) translation

M	po/zh_TW.po

commit ce81f4086e25ad21320a2b984ab59a3c557b890c
Author: Fran Dieguez <fran@openhost.es>
Date:	2015-08-25

    Updated Galician translations

M	po/gl.po

commit 05f2f71a825495e13e3ef282098d8450a742bd57
Author: Debarshi Ray <debarshir@gnome.org>
Date:	2015-08-21

    dav: Mark files as untrashable

    Otherwise nautilus will offer the wrong action in its UI.

    https://bugzilla.gnome.org/show_bug.cgi?id=753934

M	daemon/gvfsbackenddav.c

commit 89587d5c43a64b430abf9e1d96a392187260ae7c
Author: Debarshi Ray <debarshir@gnome.org>
Date:	2015-08-19

    build: Sprinkle quotations

    According to:
    https://www.gnu.org/software/autoconf/manual/autoconf-2.69/html_node/Autoconf-Language.html

    https://bugzilla.gnome.org/show_bug.cgi?id=753838

M	configure.ac

commit c0f7cb035984b6e68956559a8a38835ae3780ab0
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-08-21

    Revert part of "Update NEWS for 1.25.90"

    This reverts part of commit 5e0a3c840f5447bb539c441ec1b12e3a73ce1ca9.
    Changes for gvfs-ls were amended by mistake.

M	programs/gvfs-ls.c

commit 918f11be3c7d6d2afb9679f1899b3308b16b1f0b
Author: Debarshi Ray <debarshir@gnome.org>
Date:	2015-08-19

    build: Remove unnecessary variable initializations

    Undefined variables are going to be treated as empty.

    https://bugzilla.gnome.org/show_bug.cgi?id=753838

M	configure.ac

commit 194fb12df8e6f057652ef6691add775f2348f595
Author: Dušan Kazik <prescott66@gmail.com>
Date:	2015-08-19

    Updated Slovak translation

M	po/sk.po

commit f00acfc8e44bd43d2cda91101779bc4043c9f163
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	2015-08-18

    Updated Spanish translation

M	po/es.po

commit fccc50e325f1ac39bc60fc1e84d19a2c408abf8b
Author: Carlos Soriano <csoriano@gnome.org>
Date:	2015-08-18

    gdaemonfile: fix typo from last commit

    ugh sorry

M	client/gdaemonfile.c

commit 893ce0bbd6eb53e814d2c239c920cee2e63d5b5e
Author: Carlos Soriano <csoriano@gnome.org>
Date:	2015-08-17

    gdaemonfile: check for the correct cancellable

    We were checking for the newly created data cancellable,
    which is wrong. That was causing that mounting encloused
    volumes were not cancellable at all.

    Check for the actual GCancellable parameter to fix it.

    https://bugzilla.gnome.org/show_bug.cgi?id=753735

M	client/gdaemonfile.c

commit ec6317e000007759ef22e497ae55f50cf15de8ae
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-08-17

    Post release version bump

M	configure.ac

commit 5e0a3c840f5447bb539c441ec1b12e3a73ce1ca9
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-08-17

    Update NEWS for 1.25.90

M	NEWS
M	programs/gvfs-ls.c

commit 27809fc426d94189629b4eaae10f7080e5b6ea23
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-06-18

    completion: Use __ltrim_colon_completions

    Use macro __ltrim_colon_completions to remove colon prefix instead
    of custom code.

    https://bugzilla.gnome.org/show_bug.cgi?id=751145

M	programs/completion/gvfs-cat

commit e009e60a3fb2f8fb48d982fe66469c9f16678620
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-06-18

    completion: Fix completion for uris

    Bash completion currently doesn't work for paths with colons, because
    ${COMP_WORDS[COMP_CWORD]} provides path only after the colon.
    Colon is considered as a wordbreak. Therefor _get_comp_words_by_ref
    should be used to avoid breaking path on the colons.

    The macro also handles cases where user is completing in the middle
    of a word.

    https://bugzilla.gnome.org/show_bug.cgi?id=751145

M	programs/completion/gvfs-cat

commit dccd4f51c9af7151d0da47a3ef1fc1f8e472a28f
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	2015-08-16

    Updated Portuguese translation

M	po/pt.po

commit a62b35ab00255f8d4c987d158513e0d570aa8d15
Author: Claude Paroz <claude@2xlibre.net>
Date:	2015-08-15

    Updated French translation

M	po/fr.po

commit e2b67216707f6b8d10a10502a03e6b27b119ba6f
Author: Andika Triwidada <andika@gmail.com>
Date:	2015-08-14

    Updated Indonesian translation

M	po/id.po

commit cd07ff485781dbe7923dc88cbb1de424e709a91d
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-07-08

    gvfs-ls: Always complete mounts

    Completions are not printed if path is without terminating slash and
    it is equal with mount, e.g.:
    gvfs-ls -c sftp://1.2.3.4

    However following should be offered for example:
    sftp://1.2.3.4/
    sftp://1.2.3.44/

    https://bugzilla.gnome.org/show_bug.cgi?id=751145

M	programs/gvfs-ls.c

commit 8adeb4a187406881de7850ea405dc352e590b255
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-06-18

    gvfs-ls: Complete mounts with terminating slash

    g_file_get_uri returns uris without terminating slash if there is
    a path
    element, e.g.:
    dav://server/
    dav://server/path

    We have to be sure that terminating slash is appended for mounts when
    listing possible completions, because mounts are always directories.

    https://bugzilla.gnome.org/show_bug.cgi?id=751145

M	programs/gvfs-ls.c

commit 372679bd9aaf427ad6054405f544e92c4a19a5e1
Author: Ondrej Holy <oholy@redhat.com>
Date:	2015-06-18

    gvfs-ls: Complete local uris as uris

    gvfs-ls suggests completions for file:// uris as absolute paths, but
    it should be also uris. E.g. gvfs-ls -c file:///
    /bin/
    /lib/
    ...

    It should be file:///bin/ etc. instead.

    https://bugzilla.gnome.org/show_bug.cgi?id=751145

M	programs/gvfs-ls.c

commit a807f12d5663ab7f2767bddf8f8ab20ae886297d
Author: Gabriel de Perthuis <g2p.code@gmail.com>
Date:	2015-08-13
